Package org.eclipse.net4j.util.concurrent

## Class TaskQueue<T>

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.TaskQueue<T>

-     public abstract class TaskQueue<T>
      extends java.lang.Object

  A queue that asynchronously, but orderly, `executes` tasks that have been `scheduled` to it.
  Since:
    3.13
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskQueue()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract void` | `execute​(T task, IProgressMonitor monitor)` |
    `protected java.lang.String` | `getJobName​(T task)` |
    `protected void` | `handleException​(T task, java.lang.Exception ex)` |
    `void` | `schedule​(T task)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskQueue

          public TaskQueue()

  - ### Method Detail

    - #### schedule

          public void schedule​(T task)

    - #### getJobName

          protected java.lang.String getJobName​(T task)

    - #### handleException

          protected void handleException​(T task,
                                         java.lang.Exception ex)

    - #### execute

          protected abstract void execute​(T task,
                                          IProgressMonitor monitor)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`